/*
 *  Copyright Red Oxygen 2005
 *
 *  C++ example code to send an SMS using the Red Oxygen DLL.
 *
 */

#include <windows.h>
#include <stdio.h>


typedef int __stdcall SendSMSFn(char *pszAccountID,char *pszEmailAddress,char *pszPassword,char *pszRecipient,char *pszMessage);



int
SendSMS(char *pszAccountID,char *pszEmailAddress,char *pszPassword,char *pszRecipient,char *pszMessage)
{
	HMODULE hDll;
	SendSMSFn *pfnSendSms;
	int nResult;

	hDll = LoadLibrary("c:\\redoxygen.dll");
	if(hDll==NULL)
	{
		// printf("Error loading DLL\n");
		return(-1);
	}

	pfnSendSms = (SendSMSFn *)GetProcAddress(hDll,"SendSMS");
	if(pfnSendSms==NULL)
	{
		// printf("Error finding SendSMS function\n");
		return(-1);
	}

	nResult = pfnSendSms(pszAccountID,pszEmailAddress,pszPassword,pszRecipient,pszMessage);
	FreeLibrary(hDll);

	return(nResult);
}


int main(int argc, char* argv[])
{
	int nResult = SendSMS("CI00001234","username@company.com","hello","61417999999","Hello from C++");

	if(nResult==0)
		printf("SMS message sent successfully\n");
	else
		printf("Error sending SMS - Error code: %d\n",nResult);
	
	return 0;
}

